.#{$prefix}-c-sidebar {
  position: fixed;
  z-index: 1;
  width: 100%;
  min-height: calc(100vh - 86px);
  background-color: $palette--transparent;
  pointer-events: none;
  transition: background-color 0.2s ease-out;
  will-change: background-color;

  &.#{$prefix}-c-sidebar--visible {
    background-color: rgba($palette--black, 0.6);
    pointer-events: all;
  }

  @include mq('desktop') {
    position: relative;
    display: inline-block;
    width: 275px;
    min-height: calc(100vh - 106px);
    background-color: $palette--transparent;
    pointer-events: all;
    vertical-align: top;
  }

  &__column {
    width: 275px;
    height: calc(100vh - 86px);
    min-height: calc(100vh - 86px);
    padding: 35px;
    overflow-y: scroll;
    transform: translateX(-275px);
    transition: transform 0.2s ease-out;
    will-change: transform;

    .#{$prefix}-c-sidebar--visible & {
      transform: translateX(0);
    }

    .#{$prefix}-u-theme--dark & {
      border-right: 1px solid $palette--pickled-bluewood;
      background-color: $palette--mirage;
      color: $palette--porcelain;
    }

    .#{$prefix}-u-theme--light & {
      border-right: 1px solid $palette--athens-gray;
      background-color: $palette--white;
      box-shadow: inset -1px 0 $palette--mischka;
    }

    @include mq('desktop') {
      height: 100%;
      overflow-y: inherit;
      transform: translateX(0);
    }

    > * {
      &:not(:last-child) {
        margin-bottom: 20px;
      }
    }
  }
}
